| LicenseSpring Management .Net SDK 1.16.1 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LicenseSpring.LicenseStatus Class Reference

Class that represents License status and provides info methods like IsActive and IsEnabled. More...

Inheritance diagram for LicenseSpring.LicenseStatus:

## Public Member Functions
bool | IsActive ()
| Method for checking license Active/Inactive state.License considered active if it was successfully activated, it can become inactive after deactivation or if it was reset. Pay attention that license can be active and expired or disabled at the same time.
bool | IsDeleted ()
| Method for checking if license was deleted from LicenseSpring backend.License can become Deleted after online license check if it was deleted by administrator. In case license was deleted it is recommended to notify end user and remove local license, to do this use LicenseManager.ClearLocalStorage
bool | IsEnabled ()
| Method for checking license Enabled/Disabled state.License can become Disabled after online license check if it was disabled by administrator.
bool | IsExpired ()
| Method that returns cached value is license expired or not.ATTENTION: Do not rely on this method, because it does not perform any checks, it just return cached value from local license. In order to check if license is expired use License.IsExpired or online/local license checks.
bool | IsOk ()
| Helper method for checking local license status. Returns It returns true if status is active, enabled and not expired or deleted.
| LicenseStatus ()
| Default constructor.
override string | ToString ()
| License status string, override Object.ToString.Possible values are: Active, Disabled, Expired, Inactive and Deleted.

## Detailed Description

Class that represents License status and provides info methods like IsActive and IsEnabled.

Please note that license can be disabled and expired at the same time for example.

## Member Function Documentation

## ◆ IsActive()

bool LicenseSpring.LicenseStatus.IsActive | ( |  | ) |

Method for checking license Active/Inactive state.License considered active if it was successfully activated, it can become inactive after deactivation or if it was reset. Pay attention that license can be active and expired or disabled at the same time.

Implements LicenseSpring.ILicenseStatus.

## ◆ IsDeleted()

bool LicenseSpring.LicenseStatus.IsDeleted | ( |  | ) |

Method for checking if license was deleted from LicenseSpring backend.License can become Deleted after online license check if it was deleted by administrator. In case license was deleted it is recommended to notify end user and remove local license, to do this use LicenseManager.ClearLocalStorage

Implements LicenseSpring.ILicenseStatus.

## ◆ IsEnabled()

bool LicenseSpring.LicenseStatus.IsEnabled | ( |  | ) |

Method for checking license Enabled/Disabled state.License can become Disabled after online license check if it was disabled by administrator.

Implements LicenseSpring.ILicenseStatus.

## ◆ IsExpired()

bool LicenseSpring.LicenseStatus.IsExpired | ( |  | ) |

Method that returns cached value is license expired or not.ATTENTION: Do not rely on this method, because it does not perform any checks, it just return cached value from local license. In order to check if license is expired use License.IsExpired or online/local license checks.

Implements LicenseSpring.ILicenseStatus.

## ◆ IsOk()

bool LicenseSpring.LicenseStatus.IsOk | ( |  | ) |

Helper method for checking local license status.

Returns
  It returns true if status is active, enabled and not expired or deleted.

Implements LicenseSpring.ILicenseStatus.

## ◆ ToString()

override string LicenseSpring.LicenseStatus.ToString | ( |  | ) |

License status string, override Object.ToString.Possible values are: Active, Disabled, Expired, Inactive and Deleted.

Implements LicenseSpring.ILicenseStatus.

The documentation for this class was generated from the following file:

- LicenseStatus.cs